{* novaProvozovna *}
<button class="btn btn-success" data-bs-toggle="modal" data-bs-target="#newProvozovnaModal">
    <i class="fa-solid fa-plus me-2"></i>Přidat
</button>
{*modal nová provozovna*}
<form n:name=novaProvozovnaForm>
    <!-- Modal -->
    <div class="modal fade" id="newProvozovnaModal" tabindex="-1" aria-labelledby="newProvozovnaModal" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-fullscreen-xl-down">
            <div class="modal-content">
                <div class="modal-header bg-success text-white">
                    <h5 class="modal-title mb-0">Nová provozovna</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-12 col-md-6 mb-3">
                            <div class="card">
                                <div class="card-header bg-header text-white">
                                    Základní informace
                                </div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fa-solid fa-pen"></i></span>
                                                <input n:name="nazev" class="form-control" placeholder="Název">
                                            </div>
                                        </div>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fa-solid fa-map-marked-alt"></i></span>
                                                <input n:name="ulice" class="form-control" placeholder="Ulice">
                                            </div>
                                        </div>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fa-solid fa-city"></i></span>
                                                <input n:name="mesto" class="form-control" placeholder="Město">
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-6 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fab fa-usps"></i></span>
                                                <input n:name="psc" class="form-control" placeholder="Psč">
                                            </div>
                                            <div class="form-text text-secondary">Psč zadejte ve formátu 123 45</div>
                                        </div>
                                        <hr>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fas fa-envelope"></i></span>
                                                <input n:name="email" class="form-control" placeholder="Emailová adresa">
                                            </div>
                                        </div>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fas fa-phone"></i></span>
                                                <input n:name="tel" class="form-control" placeholder="Tel. číslo">
                                            </div>
                                            <div class="form-text text-secondary">Tel. číslo zadejte ve formátu 123 456 789</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6">
                            <div class="card">
                                <div class="card-header bg-header text-white">
                                    Mapa
                                </div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fa-solid fa-map-location"></i></span>
                                                <input n:name="mapa" class="form-control new-provoz-mapa" placeholder="Odkaz mapy" onchange="loadMapa()">
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="bg-content-white p-1" id="new-provoz-nahled" style="display: none"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6">
                            <div class="card">
                                <div class="card-header bg-header text-white">
                                    Otevírací doba
                                </div>
                                <div class="card-body pt-0">
                                    <div class="d-flex justify-content-end border-bottom py-2">
                                        <a href="#" class="btn btn-success" onclick="openAddDoba()">
                                            <i class="fa-solid fa-plus me-2"></i>Přidat
                                        </a>
                                    </div>
                                    <div class="row" id="nova-provoz-doba"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <a href="#" class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                    <button n:name="send" class="btn btn-success"><i class="fas fa-save me-2"></i>Uložit</button>
                </div>
            </div>
        </div>
    </div>
</form>
<!-- Modal -->
<div class="modal fade" id="addDoba" tabindex="-1" aria-labelledby="addDoba" aria-hidden="true">
    <div class="modal-dialog shadow-lg">
        <div class="modal-content">
            <div class="modal-header bg-success text-white">
                <h5 class="modal-title mb-0">Přidat otevírací dobu</h5>
                <button type="button" class="btn-close" onclick="closeAddDoba()"></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-12 mb-3">
                        <div class="input-group">
                            <span class="input-group-text"><i class="fa-solid fa-pen"></i></span>
                            <input type="text" class="form-control add-doba-nazev" placeholder="Den otevírací doby">
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <a href="#" class="btn btn-outline-secondary" onclick="closeAddDoba()">Zavřít</a>
                <button class="btn btn-success" onclick="addDoba()"><i class="fas fa-plus me-2"></i>Přidat</button>
            </div>
        </div>
    </div>
</div>
<script>
    // pomocné funkce
    function loadMapa()
    {
        var mapa = $('.new-provoz-mapa').val();
        let nahled = $('#new-provoz-nahled');
        let nahledIframe = $('#new-provoz-nahled iframe');

        if(mapa != ''){
            var html = '<iframe src="'+mapa+'" width="100%" height="350" style="border:0;" allowfullscreen="" loading="lazy"></iframe>';
            nahledIframe.remove();
            nahled.append(html);
            nahled.show();
        }else{
            nahled.hide();
            nahledIframe.remove();
        }
    }

    function addDoba()
    {
        var dobaNazevInput = $('.add-doba-nazev');
        var seznam = $('#nova-provoz-doba');

        var nazev = dobaNazevInput.val();

        if (nazev !== ''){
            var index = $(".add-doba-cas:last").attr('data-id');

            if (typeof index === 'undefined'){
                index = 0;
            }

            var id = parseInt(index)+1;

            var html = '<div class="col-12 mb-3" id="add-doba-row-'+id+'">' +
                '<label class="form-label">'+nazev+'</label>' +
                '<div class="d-flex">'+
                '<input name="oteviraci_doba['+nazev+']" class="form-control add-doba-cas" data-id="'+id+'" placeholder="Otevírací doba">' +
                '<a href="#" class="btn btn-danger ms-3" onclick="remDoba('+id+')"><i class="fas fa-minus"></i></a>'+
                '</div>'+
                '</div>';

            seznam.append(html);
            closeAddDoba();
        }else{
            window.alert('Musíte vyplnit název!');
            dobaNazevInput.focus();
        }
    }

    function remDoba(id)
    {
        $('#add-doba-row-'+id).remove();
    }

    function openAddDoba()
    {
        var myModal = new bootstrap.Modal(document.getElementById('addDoba'));

        myModal.show();
    }

    function closeAddDoba()
    {
        var myModalEl = document.getElementById('addDoba');
        var modal = bootstrap.Modal.getInstance(myModalEl)
        var dobaNazevInput = $('.add-doba-nazev');


        dobaNazevInput.val('');
        modal.hide();
    }
</script>